package com.example.repository;

import com.example.model.Speaker;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Repository;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;

@Repository("speakerRepository")
public class HibernateSpeakerRepositoryImpl implements SpeakerRepository {

    @Autowired
    private Calendar cal;

    @Value("#{ T(java.lang.Math).random() * 100 }")
    private double seedNum;

    @Override
    public List<Speaker> findAll() {
        List<Speaker> speakerList = new ArrayList<Speaker>();
        Speaker speaker = new Speaker();
        speaker.setFirstName("Deep");
        speaker.setLastName("Bhuller");
        speaker.setSeedNum(seedNum);

        System.out.println("cal: " + cal.getTime());

        speakerList.add(speaker);

        return speakerList;
    }
}
